using SQLite;

namespace Blahblah.FlowerApp.Data.Model;

[Table("params")]
public class ParamItem
{
    [Column("code"), PrimaryKey, NotNull]
    public string Code { get; set; } = null!;

    [Column("uid"), NotNull]
    public int OwnerId { get; set; } = AppResources.EmptyUserId;

    [Column("value"), NotNull]
    public string Value { get; set; } = null!;

    [Column("description")]
    public string? Description { get; set; }
}
